<div :class="['item-container', 'detail'].concat(breakpoints)">
  <div class="header">
    <div class="icon" @click="allSelected = !allSelected">
      <i class="fa fa-blank"></i>
      <input
        type="checkbox"
        v-model="allSelected"
        v-indeterminate="allSelected === undefined"
        />
    </div>
    <div
      class="name"
      @click="sortMod('name')">
      <i :class="sortCurr('name')"></i>
      Name
    </div>
    <div
      class="size"
      @click="sortMod('size')">
      <i :class="sortCurr('size')"></i>
      Size
    </div>
    <div
      class="modified"
      @click="sortMod('mtime')">
      <i :class="sortCurr('mtime')"></i>
      Modified
    </div>
  </div>
  <div
    :class="{
      items: true,
      dropok: dropok,
    }"
    v-drop:copy.dropok="dropFilter"
    @contextmenu.self="openMenu"
    >
    <item
      v-for="(i, d) in items"
      v-ref:items
      :index="i"
      :data="d"
      :path-base="path"
      :workspace-id="workspaceId"
      :download-base="downloadBase"
      ></item>
    <slot></slot>
  </div>
</div>
